RegistrationForm (Struts Apps - Examples 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.webapp.validator
Class RegistrationForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.apache.struts.webapp.validator.RegistrationForm

All Implemented Interfaces:
  Serializable

    public final class RegistrationForm

extends ValidatorForm
implements Serializable

Form bean for the user registration page.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`RegistrationForm()`

Method Summary
`String` | `getAction()`
`String` | `getAddr()`
`CityStateZip` | `getCityStateZip()`
`String` | `getEmail()`
`String` | `getFirstName()`
`String` | `getLastName()`
`String` | `getPhone()`
`void` | `reset(ActionMapping mapping, HttpServletRequest request)` Reset all properties to their default values.
`void` | `setAction(String action)`
`void` | `setAddr(String sAddr)`
`void` | `setCityStateZip(CityStateZip csz)`
`void` | `setEmail(String sEmail)`
`void` | `setFirstName(String sFirstName)`
`void` | `setLastName(String sLastName)`
`void` | `setPhone(String sPhone)`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults, validate`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationForm

    public RegistrationForm()

Method Detail

### getAction

    public String getAction()

### setAction

    public void setAction(String action)

### getFirstName

    public String getFirstName()

### setFirstName

    public void setFirstName(String sFirstName)

### getLastName

    public String getLastName()

### setLastName

    public void setLastName(String sLastName)

### getAddr

    public String getAddr()

### setAddr

    public void setAddr(String sAddr)

### getCityStateZip

    public CityStateZip getCityStateZip()

### setCityStateZip

    public void setCityStateZip(CityStateZip csz)

### getPhone

    public String getPhone()

### setPhone

    public void setPhone(String sPhone)

### getEmail

    public String getEmail()

### setEmail

    public void setEmail(String sEmail)

### reset

    public void reset(ActionMapping mapping,
                      HttpServletRequest request)

  Reset all properties to their default values.

  Overrides:
    `reset` in class `ValidatorForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.